<?php
require_once 'core/system.php';
require_once H.'core/head.php';
  if(isset($_POST['submit'])){

  if(!@file_exists($_FILES['filename']['tmp_name'])) $err[] = 'Вы не выбрали файл!';
  if($_FILES['filename']['size'] != 0 and $_FILES['filename']['size'] > 1024000) $err[] = 'Слишком большой файл...';
  
  $filetype = array ( 'jpg', 'gif', 'png', 'jpeg', 'bmp' );
  $upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], "." )+1);  
  
  if(!in_array($upfiletype,$filetype)) $err[] = 'Вы пытаетесь загрузить недопустимый формат файла...';

  if(!$err){

  if(!empty($user['ava'])){
  unlink('ava/'.$user['ava'].'');
  }

$fn = date('dmY').'_vgruzok_ru'.rand(1234,5678).'_'.$_FILES['filename']['name'];
  move_uploaded_file($_FILES['filename']['tmp_name'], "ava/".$fn."");
  mysql_query("UPDATE `user` SET `ava`='".$fn."' WHERE `id`='".$user['id']."' limit 1");
  
  header('Location: /showLoadAvatar.php'); exit;
  
  }else{
  echo '<div class="err"><b>';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</b></div>';
  }
  }

echo '<center><div class="block10t"><div class="attention-panel">Текущий Аватар<br/>Файл аватара (*.jpg/.gif/.png/.jpeg/.bmp)</div><img src="';
  
  if(empty($user['ava'])) echo 'img/noava.png'; else echo 'ava/'.$user['ava'];

  echo '" style="max-width:150px;"/><br>';
  
  if(isset($_GET['del']) && !empty($user['ava'])){
  unlink('ava/'.$user['ava'].'');
  mysql_query("UPDATE `user` SET `ava`='' WHERE `id`='".$user['id']."' limit 1");
  header('Location: /showLoadAvatar.php'); exit;
  }
  
if(!empty($user['ava'])) echo '<img src="img/stop_2.png"/> <a href="/showLoadAvatar.php?del">Удалить</a>';
  
echo '<div class="post2">
  <form action="" method="post" enctype="multipart/form-data">
  Файл:<br><input type="file" name="filename"/><br>  
<input type="submit" class="button_xl" value="Загрузить" name="submit"/>
</form></div></center>';
require_once 'core/foot.php';
?>